/********************************** (C) COPYRIGHT *******************************
* File Name          : usb_desc.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2019/10/15
* Description        : Descriptors for Virtual Com Port Demo.
*******************************************************************************/ 
#include "usb_lib.h"
#include "usb_desc.h"

//#define Fullspeed
/* Global Variable */    
#ifdef  Fullspeed
#define THIS_ENDP0_SIZE         64
#else
#define THIS_ENDP0_SIZE         8                                             
#endif
/* USB Device Descriptors  豸*/
__attribute__ ((aligned(4))) uint8_t  USBD_DeviceDescriptor[18];

/* HID*/
__attribute__ ((aligned(4))) UINT8 Interface0RepDesc[ReportDescriptor_Size];
__attribute__ ((aligned(4))) UINT8 Interface1RepDesc[ReportDescriptor_Size];
__attribute__ ((aligned(4))) UINT8 Interface2RepDesc[ReportDescriptor_Size];
/* USB Configration Descriptors */
__attribute__ ((aligned(4))) uint8_t  USBD_ConfigDescriptor[USBD_SIZE_CONFIG_DESC];

/* USB String Descriptors */
__attribute__ ((aligned(4))) uint8_t USBD_StringLangID[USBD_SIZE_STRING_LANGID];

/* USB Device String Vendor */
__attribute__ ((aligned(4))) uint8_t USBD_StringVendor[USBD_SIZE_STRING_VENDOR];

/* USB Device String Product */
__attribute__ ((aligned(4))) uint8_t USBD_StringProduct[USBD_SIZE_STRING_PRODUCT];

/* USB Device String Serial */
__attribute__ ((aligned(4))) uint8_t USBD_StringSerial[USBD_SIZE_STRING_SERIAL];






